import { hostname } from "os";
import { formatWithOptions } from "util";
const meta = {
    runtime: "Nodejs",
    hostname: hostname()
};
export function getMeta(logLevelId, logLevelName, stackDepthLevel) {
    return {
        ...meta,
        date: new Date(),
        logLevelId,
        logLevelName,
        path: getTrace(stackDepthLevel)
    };
}
export function getTrace(stackDepthLevel) {
    try {
        throw new Error('getStackTrace');
    }
    catch (e) {
        let fullFilePath = e.stack.split("\n").filter((line) => line.includes("    at "))?.[stackDepthLevel]?.replace(/^\s+at\s+/gm, ''); // remove prefix text ' at '
        if (fullFilePath?.slice(-1) === ")") {
            fullFilePath = fullFilePath.match(/\(([^)]+)\)/)[1];
        }
        const pathArray = fullFilePath?.replace("file://", "")?.replace(process.cwd(), "")?.split(":");
        return {
            fullFilePath,
            filePath: pathArray?.[0],
            fileLine: pathArray?.[1]
        };
    }
}
export function prettyFormatLogObj(maskedArgs, prettyInspectOptions) {
    return formatWithOptions(prettyInspectOptions, ...maskedArgs);
}
export function transport(logMetaMarkup, logMarkup) {
    console.log(logMetaMarkup + logMarkup);
}
export function transportJSON(json) {
    console.log(JSON.stringify(json, null, 2));
}
//# sourceMappingURL=nodejs.js.map